# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-CPANTS-Analyse
Version:	0.92
Release:	1.%{__distinit}%{__distvers}
Summary:	Generate Kwalitee ratings for a distribution
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-CPANTS-Analyse/
Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/Module-CPANTS-Analyse-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Archive::Any::Lite) >= 0.06
BuildRequires:	perl(Archive::Tar) >= 1.48
BuildRequires:	perl(Array::Diff) >= 0.04
BuildRequires:	perl(Class::Accessor) >= 0.19
BuildRequires:	perl(CPAN::DistnameInfo) >= 0.06
BuildRequires:	perl(CPAN::Meta::Validator) >= 2.131490
BuildRequires:	perl(CPAN::Meta::YAML) >= 0.008
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find::Rule::VCS)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::stat)
BuildRequires:	perl(IO::Capture) >= 0.05
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Module::Build) >= 0.40
BuildRequires:	perl(Module::ExtractUse) >= 0.30
BuildRequires:	perl(Module::Pluggable) >= 2.96
BuildRequires:	perl(Set::Scalar)
BuildRequires:	perl(Software::License) >= 0.003
BuildRequires:	perl(Software::LicenseUtils)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::Warn) >= 0.11
BuildRequires:	perl(Text::Balanced)
BuildRequires:	perl(version) >= 0.73
BuildRequires:	perl(YAML::Any)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Archive::Any::Lite) >= 0.06
Requires:	perl(Archive::Tar) >= 1.48
Requires:	perl(Array::Diff) >= 0.04
Requires:	perl(Class::Accessor) >= 0.19
Requires:	perl(CPAN::DistnameInfo) >= 0.06
Requires:	perl(IO::Capture) >= 0.05
Requires:	perl(Module::ExtractUse) >= 0.30
Requires:	perl(Module::Pluggable) >= 2.96
Requires:	perl(version) >= 0.73

%description
CPANTS is an acronym for CPAN Testing Service. The goals of the CPANTS project
are to provide some sort of quality measure (called "Kwalitee") and lots of
metadata for all distributions on CPAN.

%prep
%setup -q -n Module-CPANTS-Analyse-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test
./Build test --test_files="xt/*.t"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{_bindir}/cpants_lint.pl
%{perl_vendorlib}/Module/
%{_mandir}/man1/cpants_lint.pl.1*
%{_mandir}/man3/Module::CPANTS::Analyse.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::BrokenInstaller.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::CpantsErrors.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Distname.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Distros.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Files.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::FindModules.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::License.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Manifest.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::MetaYML.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::NeedsCompiler.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Pod.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Prereq.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Repackageable.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Signature.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Uses.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Version.3pm*

%changelog
* Sun Sep 22 2013 Paul Howarth <paul@city-fan.org> - 0.92-1
- Update to 0.92 release
  - Fixed a case when more than one license section came in a row
  - Stopped checking auto_features

* Thu Sep  5 2013 Paul Howarth <paul@city-fan.org> - 0.91-1
- Update to 0.91 release
  - Add metrics no_dot_underscore_files, portable_filenames
  - Remove metrics distributed_by_debian, latest_version_distributed_by_debian,
    has_no_bugs_reported_in_debian, has_no_patches_in_debian, no_cpants_errors,
    uses_test_nowarnings, has_test_pod, has_test_pod_coverage, has_examples
  - Removed a few non-portable metrics for Test::Kwalitee
  - Numerous fixes for a smoother operation of www-cpants
  - Fixed CPAN RT#87535: incorrect version specification in 0.90_01
  - Fixed CPAN RT#87534: test failure in 0.90_01
  - Fixed CPAN RT#87561: t/11_hash_random.t fails due to undeclared test
    dependency
  - Fixed CPAN RT#69233: doesn't detect 'use' ≥ 5.012 as 'use strict'
  - Fixed CPAN RT#83336: fails to detect strict via 'use MooseX::Types'
  - Fixed CPAN RT#83851: 'use v5.16' and greater not deemed "strict"
  - Fixed CPAN RT#86504: fix sort order of Kwalitee generators
  - Fixed CPAN RT#87155: more Module::Install tests needed (1.04 is broken)
  - Fixed CPAN RT#87597: proper_libs is a dubious test
  - Fixed CPAN RT#87598: can't use an undefined value as an ARRAY reference at
    .../FindModules.pm line 115
  - Fixed CPAN RT#87988: fix use of $Test::Kwalitee::VERSION
  - Fixed CPAN RT#88216: extracts_nicely metric fails for -TRIAL releases
  - Fixed CPAN RT#88365: YAML/JSON tests are not failing when improperly
    encoded characters are seen
  - Moose::Exporter also provides strict and warnings
- Drop no-net patch, no longer needed
- Drop upstreamed POD coverage and Test::More test patches
- Don't run the author test (Perl::Critic) as it would fail anyway
- Module no longer checks signatures, so drop all related hacks
- No longer need to fix line endings

* Thu Aug  1 2013 Paul Howarth <paul@city-fan.org> - 0.89-1
- Update to 0.89 release
  - Additional tests
- This release by ISHIGAKI -> update source URL
- BR: various missed dependency modules
- Add patch to support building with Test::More < 0.88
- Avoid calling debian when building (debian #542401)
- Add patch to work around failing POD coverage test on some perls

* Mon Feb 25 2013 Paul Howarth <paul@city-fan.org> - 0.87-1
- Update to 0.87 release
  - Fix test failures due to Test::CPAN::Meta::YAML::Version interface change
    (CPAN RT#80225)
  - Fix failure in 10_analyse.t due to hash randomization (CPAN RT#82939)
  - Module::CPANTS::Kwalitee::Manifest was broken for MANIFESTs containing
    files with spaces (CPAN RT#44796)
- Bump version requirements for Module::ExtractUse and
  Test::CPAN::Meta::YAML::Version as per upstream

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.86-3
- Perl 5.16 post-bootstrap rebuild

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 0.86-2
- Perl 5.16 rebuild

* Sun May 27 2012 Paul Howarth <paul@city-fan.org> - 0.86-1
- Update to 0.86 release
  - Add several strict and warnings equivalents and make it easy to add more
  - Fix when Moose is used and strict is not used
  - Add info about MIN_PERL_VERSION
  - Better remedy for metayml_declares_perl_version
  - metayml_declares_perl_version moved from experimental to extra
  - Some pod improvements
  - Fix CPAN RT#65903 - no more Test::YAML::Meta::Version on CPAN
  - Replace YAML::Syck with YAML::Any
  - no_symlinks checks only files in MANIFEST, use "maniread" in
    ExtUtils::Manifest
  - Add more equivalents for use_strict and use_warnings tests
  - Implement valid_signature metric
- This release by DAXIM -> update source URL
- Drop patch for Test::CPAN::Meta::YAML::Version, no longer needed
- Bump module version requirements:
  - perl(Archive::Tar) => 1.48
  - perl(Module::Build) => 0.40
  - perl(Software::License) => 0.003
  - perl(Test::Warn) => 0.11
  - perl(Text::CSV_XS) => 0.45
- BR: perl(Cwd), perl(ExtUtils::Manifest), perl(File::chdir),
  perl(Module::Signature), perl(Set::Scalar) and perl(Test::Pod::Coverage)
- BR: perl(YAML::Any) rather than perl(YAML::Syck)
- Drop perl(Test::CPAN::Meta::YAML::Version) version requirement
- Work around signature compatibility issues with GnuPG < 1.3

* Wed Mar  7 2012 Paul Howarth <paul@city-fan.org> - 0.85-11
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Don't need use %%attr for cpants_lint.pl
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run tests with LC_ALL=C
  - Perl::Critic always available

* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.85-10
- Don't BR: perl(Test::Perl::Critic) when bootstrapping

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.85-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Mar 17 2011 Paul Howarth <paul@city-fan.org> - 0.85-8
- Import from Fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.85-6
- Rebuild to fix problems with vendorarch/lib (#661697)

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.85-5
- Mass rebuild with perl-5.12.0

* Tue Jan 12 2010 Daniel P. Berrange <berrange@redhat.com> - 0.85-4
- Fix source URL

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.85-3
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Daniel P. Berrange <berrange@redhat.com> - 0.85-1
- Update to 0.85 release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.82-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct  3 2008 Daniel P. Berrange <berrange@redhat.com> - 0.82-2
- Added more new & missing BRs

* Fri Sep  5 2008 Daniel P. Berrange <berrange@redhat.com> - 0.82-1
- Update to 0.82 release

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.75-3
- Rebuild for new perl

* Wed Dec 26 2007 Daniel P. Berrange <berrange@redhat.com> - 0.75-2
- Added Test::Deep, Test::Pod, Test::Pod::Coverage build requires

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> - 0.75-1
- Specfile autogenerated by cpanspec 1.73
